qsynth(1)

NAME
Qsynth - A fluidsynth Qt GUI Interface

SYNOPSIS
qsynth [options] [soundfonts] [midifiles]

DESCRIPTION
This manual page documents briefly the qsynth command-line options.

Qsynth is a fluidsynth GUI front-end application written in C++ around the Qt framework using Qt Designer. Eventually it may evolve into a softsynth management application allowing the user to control and manage a variety of command line softsynths but for the moment it wraps the excellent FluidSynth.

FluidSynth is a command line software synthesiser based on the Soundfont specification.

OPTIONS

-n, --no-midi-in

    Don't create a midi driver to read MIDI input events [default = yes]

-m, --midi-driver <label>

    The name of the midi driver to use [alsa_raw, alsa_seq, jack, ...]

-K, --midi-channels <num>

    The number of midi channels [default = 16]

-a, --audio-driver <label>

    The audio driver [alsa, jack, pipewire, ...]

-j, --connect-jack-outputs

    Attempt to connect the jack outputs to the physical ports.

-L, --audio-channels <num>

    The number of stereo audio channels [default = 1]

-G, --audio-groups <num>

    The number of audio groups [default = 1]

-z, --audio-bufsize <size>

    Size of each audio buffer.

-c, --audio-bufcount <count>

    Number of audio buffers.

-r, --sample-rate <rate>

    Set the sample rate.

-R, --reverb <flag>

    Turn the reverb on or off [1|0|yes|no|on|off, default = on]

-C, --chorus <flag>

    Turn the chorus on or off [1|0|yes|no|on|off, default = on]

-g, --gain <gain>

    Set the master gain [0 < gain < 2, default = 1]

-o, --option <name=value>

    Define a setting name=value

-s, --server

    Create and start server [default = no]

-i, --no-shell

    Don't read commands from the shell [ignored]

-d, --dump

    Dump midi router events.

-V, --verbose

    Print out verbose messages about midi events.

-?, --help

    Displays help on command-line options.

-v, --version

    Show version information.

FILES
Configuration settings are stored in ~/.config/rncbc.org/Qsynth.conf

SEE ALSO
fluidsynth(1)

AUTHOR
Qsynth is written by Rui Nuno Capela, Richard Bown, Chris Cannam, Pedro Lopez-Cabanillas.